> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Install an Add-on

`POST https://api.pagerduty.com/addons`

Install an Add-on for your account.

Addon's are pieces of functionality that developers can write to insert new functionality into PagerDuty's UI.

Given a configuration containing a `src` parameter, that URL will be embedded in an `iframe` on a page that's available to users from a drop-down menu.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#add-ons)

Scoped OAuth requires: `addons.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

The Add-on to be installed.

| Field | Type | Required | Description |
|---|---|---|---|
| `addon` | object | yes |  |
| `addon.id` | string |  | Read-only. |
| `addon.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `addon.type` | string | yes | The type of Add-on. One of: `full_page_addon`, `incident_show_addon`. |
| `addon.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `addon.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `addon.name` | string | yes | The name of the Add-on. Max length: 100. |
| `addon.src` | string (url) | yes | The source URL to display in a frame in the PagerDuty UI. HTTPS is required. |

Example: Request Example

```json
{
  "addon": {
    "type": "full_page_addon",
    "name": "Internal Status Page",
    "src": "https://intranet.example.com/status"
  }
}
```

## Response 201

The Add-on that was installed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `addon` | object | yes |  |
| `addon.id` | string | yes | Read-only. |
| `addon.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `addon.type` | string | yes | One of: `full_page_addon_reference`, `incident_show_addon_reference`. |
| `addon.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `addon.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `addon.src` | string (url) |  | The URL source of the Addon. |
| `addon.name` | string |  | The user entered name of the Addon. |

Example: Response Example

```json
{
  "addon": {
    "id": "PKX7619",
    "type": "full_page_addon_reference",
    "summary": "Internal Status Page",
    "self": "https://api.pagerduty.com/addons/PKX7619",
    "html_url": null,
    "name": "Internal Status Page",
    "src": "https://intranet.example.com/status"
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
